///////////////////////////////////////////////////////////////////////////////
// 2002-10-05 cam
// Created with testTranslate*Priority()
///////////////////////////////////////////////////////////////////////////////
package org.datamanager.kernel;

import java.lang.Thread;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.datamanager.kernel.DataManagerWorker;
import org.datamanager.kernel.Simpleton;

public class DataManagerWorkerTester
    extends TestCase
    {
    TeamASimpleton simpleton;
    DataManagerWorker dataManagerWorker;

    public DataManagerWorkerTester(String string)
        {
        super(string);
        }

    public static Test suite()
        {
        TestSuite suite = new TestSuite("DataManagerWorkerTester");
        suite.addTest(new DataManagerWorkerTester("testTranslateMinPriority"));
        suite.addTest(new DataManagerWorkerTester("testTranslateMaxPriority"));
        suite.addTest(new DataManagerWorkerTester("testTranslateHighPriority"));
        suite.addTest(
                new DataManagerWorkerTester("testTranslateNormalPriority"));
        suite.addTest(new DataManagerWorkerTester("testTranslateLowPriority"));

        return suite;
        }

    public void setUp()
        {
        simpleton = new TeamASimpleton();
        dataManagerWorker = new DataManagerWorker(simpleton);
        }

    public void testTranslateMinPriority()
        {
        assertSame(Simpleton.Priority.MIN_PRIORITY, 
                   setThenGetPriority(Simpleton.Priority.MIN_PRIORITY));
        }

    public void testTranslateMaxPriority()
        {
        assertSame(Simpleton.Priority.MAX_PRIORITY, 
                   setThenGetPriority(Simpleton.Priority.MAX_PRIORITY));
        }

    public void testTranslateHighPriority()
        {
        assertSame(Simpleton.Priority.HIGH_PRIORITY, 
                   setThenGetPriority(Simpleton.Priority.HIGH_PRIORITY));
        }

    public void testTranslateNormalPriority()
        {
        assertSame(Simpleton.Priority.NORMAL_PRIORITY, 
                   setThenGetPriority(Simpleton.Priority.NORMAL_PRIORITY));
        }

    public void testTranslateLowPriority()
        {
        assertSame(Simpleton.Priority.LOW_PRIORITY, 
                   setThenGetPriority(Simpleton.Priority.LOW_PRIORITY));
        }

    private Simpleton.Priority setThenGetPriority(Simpleton.Priority priority)
        {
        dataManagerWorker.setPriority(priority);

        return dataManagerWorker.getSimpletonPriority();
        }
    }