package org.datamanager.persistence;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.datamanager.persistence.DataAccessObjectFactory;

public class SerializableDataAccessObjectTester
    extends DataAccessObjectTester
    {
    public SerializableDataAccessObjectTester(String testCaseName)
        {
        super(testCaseName);
        }

    public static Test suite()
        {
        TestSuite suite = new TestSuite("SerializableDataAccessObjectTester");
        suite.addTest(new SerializableDataAccessObjectTester("testPrimitive"));
        suite.addTest(
                new SerializableDataAccessObjectTester("testObjectReference"));
        suite.addTest(
                new SerializableDataAccessObjectTester(
                        "testHierarchyAndConstructor"));
        suite.addTest(
                new SerializableDataAccessObjectTester(
                        "testDAOwithInputOutputStream"));
        suite.addTest(new SerializableDataAccessObjectTester("testNull"));
        suite.addTest(new SerializableDataAccessObjectTester("testCycle"));
        suite.addTest(new SerializableDataAccessObjectTester("testEmptyVector"));
        suite.addTest(
                new SerializableDataAccessObjectTester("testNullLongArray"));
        suite.addTest(new SerializableDataAccessObjectTester("testFinal"));

        return suite;
        }

    public void setUp()
        {
        super.setUp();

        DataAccessObjectFactory daoFactory = DataAccessObjectFactory.newInstance();
        dataAccessObject = daoFactory.getDataAccessObject(
                                   DataAccessObjectFactory.SERIALIZABLE_PERSISTENCE);
        }
    }